#ifndef ASPECT_RATIO_FILTER_H
#define ASPECT_RATIO_FILTER_H


#include <vtkUnstructuredGridAlgorithm.h>
#include <vtkIdList.h>


class AspectRatioFilter : public vtkUnstructuredGridAlgorithm {
public:
	static AspectRatioFilter *New();
	vtkTypeMacro(AspectRatioFilter, vtkUnstructuredGridAlgorithm);
	int FillInputPortInformation(int, vtkInformation *info) override;
	vtkTypeBool RequestData(vtkInformation *request,
							vtkInformationVector **inputVector,
							vtkInformationVector *outputVector) override;

protected:
	~AspectRatioFilter() override = default;
};


#endif
